<refreshable-panel [dataProvider]="this">
    <refreshable-panel-header [title]="'Files'"></refreshable-panel-header>
    <refreshable-panel-content>
        <refreshable-panel-actions>
            <input type="file" multiple name="files" (change)="files = $event.srcElement.files" />
            <button matButton class="btn btn-default" (click)="uploadFiles()">
                {{ "Upload" | localize }}
            </button>
        </refreshable-panel-actions>
            <div class="col-12 col-lg-3" *ngFor="let file of uploadedFiles">
                <div class="file-item">
                    <h5>{{ file.fileName }}</h5>
                    <button matButton class="btn btn-default" (click)="downloadFile(file)"> {{ "Download" | localize }}
                    </button>
                    <button matButton class="btn btn-danger" (click)="deleteFile(file)">
                        {{ "Delete" | localize }}
                    </button>
                </div>
            </div>
    </refreshable-panel-content>
</refreshable-panel>
